<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/ASG.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.ASG</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../Synopsis.html" >Synopsis</a>.ASG

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="ASG/Error.html" >Error</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Error" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line30" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Exception class used by ASG internals.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Debugger.html" >Debugger</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Debugger" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line39" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Wrap the object's 'accept' method&#44; printing out the visitor's type.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/TypeId.html" >TypeId</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.TypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line58" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Type-id abstract class.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/NamedTypeId.html" >NamedTypeId</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.NamedTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line72" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/BuiltinTypeId.html" >BuiltinTypeId</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.BuiltinTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line79" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/DependentTypeId.html" >DependentTypeId</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.DependentTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line90" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/UnknownTypeId.html" >UnknownTypeId</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.UnknownTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line101" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for not &#40;yet&#41; known type-ids.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/DeclaredTypeId.html" >DeclaredTypeId</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.DeclaredTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line118" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/TemplateId.html" >TemplateId</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.TemplateId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line131" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for template-ids.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/ModifierTypeId.html" >ModifierTypeId</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.ModifierTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line145" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/ArrayTypeId.html" >ArrayTypeId</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.ArrayTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line167" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">A modifier that adds array dimensions to a type-id.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/ParametrizedTypeId.html" >ParametrizedTypeId</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.ParametrizedTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line184" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for parametrized type-id instances.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/FunctionTypeId.html" >FunctionTypeId</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.FunctionTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line202" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for function &#40;pointer&#41; types.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Dictionary.html" >Dictionary</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Dictionary" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line214" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Dictionary extends the builtin 'dict' by adding a lookup method to it.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Declaration.html" >Declaration</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Declaration" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line241" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Declaration base class.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Builtin.html" >Builtin</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Builtin" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line268" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">A node for internal use only.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/UsingDirective.html" >UsingDirective</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.UsingDirective" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line274" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Import one module's content into another.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/UsingDeclaration.html" >UsingDeclaration</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.UsingDeclaration" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line280" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Import a declaration into this module.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Macro.html" >Macro</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Macro" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line292" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">A preprocessor macro.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Forward.html" >Forward</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Forward" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line306" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Group.html" >Group</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Group" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line322" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for groups which contain declarations.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Scope.html" >Scope</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Scope" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line339" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for scopes &#40;named groups&#41;.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Module.html" >Module</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Module" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line350" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/MetaModule.html" >MetaModule</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.MetaModule" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line359" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Inheritance.html" >Inheritance</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Inheritance" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line370" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Inheritance class.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Class.html" >Class</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Class" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line382" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/ClassTemplate.html" >ClassTemplate</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.ClassTemplate" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line394" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Typedef.html" >Typedef</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Typedef" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line409" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Enumerator.html" >Enumerator</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Enumerator" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line419" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Enumerator of an Enum.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Enum.html" >Enum</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Enum" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line429" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Enum declaration.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Variable.html" >Variable</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Variable" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line446" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Const.html" >Const</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Const" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line457" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Constant declaration.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Parameter.html" >Parameter</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Parameter" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line468" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Function.html" >Function</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Function" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line489" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Function declaration.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/FunctionTemplate.html" >FunctionTemplate</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.FunctionTemplate" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line512" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Operation.html" >Operation</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Operation" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line521" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Operation class.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/OperationTemplate.html" >OperationTemplate</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.OperationTemplate" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line531" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Visitor.html" >Visitor</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Visitor" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line540" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="ASG/ASG.html" >ASG</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.ASG" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line591" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ASG.html#ccmp" >ccmp</a></span>(<span class="variable">a</span>, <span class="variable">b</span>)  </div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis.ASG.ccmp" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line25" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="DEFAULT">DEFAULT</a></div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line20" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="PUBLIC">PUBLIC</a></div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line21" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="PROTECTED">PROTECTED</a></div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line22" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="PRIVATE">PRIVATE</a></div> <div class="xref"></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line23" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="ASG/Error.html" >Error</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Error" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line30" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Exception class used by ASG internals.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Debugger.html" >Debugger</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Debugger" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line39" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Wrap the object's 'accept' method&#44; printing out the visitor's type.
    Useful for tracing visitors visiting declarations.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/TypeId.html" >TypeId</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.TypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line58" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Type-id abstract class.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/NamedTypeId.html" >NamedTypeId</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.NamedTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line72" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Named type abstract class</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/BuiltinTypeId.html" >BuiltinTypeId</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.BuiltinTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line79" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for builtin type-ids</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/DependentTypeId.html" >DependentTypeId</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.DependentTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line90" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for template dependent type-ids</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/UnknownTypeId.html" >UnknownTypeId</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.UnknownTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line101" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for not &#40;yet&#41; known type-ids.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/DeclaredTypeId.html" >DeclaredTypeId</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.DeclaredTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line118" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for declared types</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/TemplateId.html" >TemplateId</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.TemplateId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line131" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for template-ids.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/ModifierTypeId.html" >ModifierTypeId</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.ModifierTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line145" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for alias types with modifiers &#40;such as 'const'&#44; '&amp;'&#44; etc.&#41;</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/ArrayTypeId.html" >ArrayTypeId</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.ArrayTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line167" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">A modifier that adds array dimensions to a type-id.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/ParametrizedTypeId.html" >ParametrizedTypeId</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.ParametrizedTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line184" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for parametrized type-id instances.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/FunctionTypeId.html" >FunctionTypeId</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.FunctionTypeId" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line202" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for function &#40;pointer&#41; types.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Dictionary.html" >Dictionary</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Dictionary" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line214" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Dictionary extends the builtin 'dict' by adding a lookup method to it.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Declaration.html" >Declaration</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Declaration" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line241" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Declaration base class. Every declaration has a name&#44; type&#44;
    accessibility and annotations. The default accessibility is DEFAULT except for
    C++ where the Parser always sets it to one of the other three. </div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Builtin.html" >Builtin</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Builtin" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line268" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">A node for internal use only.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/UsingDirective.html" >UsingDirective</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.UsingDirective" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line274" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Import one module's content into another.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/UsingDeclaration.html" >UsingDeclaration</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.UsingDeclaration" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line280" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Import a declaration into this module.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Macro.html" >Macro</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Macro" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line292" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">A preprocessor macro. Note that macros are not strictly part of the
   ASG&#44; and as such are always in the global scope. A macro is &quot;temporary&quot; if
   it was #undefined in the same file it was #defined in.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Forward.html" >Forward</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Forward" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line306" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Forward declaration</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Group.html" >Group</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Group" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line322" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for groups which contain declarations.
   This class doesn't correspond to any language construct.
   Rather&#44; it may be used with comment-embedded grouping tags
   to regroup declarations that are to appear together in the
   manual.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Scope.html" >Scope</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Scope" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line339" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for scopes &#40;named groups&#41;.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Module.html" >Module</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Module" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line350" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Module class</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/MetaModule.html" >MetaModule</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.MetaModule" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line359" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Module Class that references all places where this Module occurs</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Inheritance.html" >Inheritance</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Inheritance" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line370" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Inheritance class. This class encapsulates the information about an
   inheritance&#44; such as attributes like 'virtual' and 'public' </div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Enumerator.html" >Enumerator</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Enumerator" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line419" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Enumerator of an Enum. Enumerators represent the individual names and
   values in an enum.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Enum.html" >Enum</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Enum" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line429" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Enum declaration. The actual names and values are encapsulated by
   Enumerator objects.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Variable.html" >Variable</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Variable" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line446" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Variable definition</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Const.html" >Const</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Const" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line457" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Constant declaration. A constant is a name with a type and value.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Parameter.html" >Parameter</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Parameter" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line468" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Function Parameter</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Function.html" >Function</a></div> <div class="xref"><a href="../../XRef/xref0.html#Synopsis.ASG.Function" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line489" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Function declaration.
   Note that function names are stored in mangled form to allow overriding.
   Formatters should use the real_name to extract the unmangled name.</div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Operation.html" >Operation</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Operation" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line521" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Operation class. An operation is related to a Function and is currently
   identical.
   </div></div>
<div class="item"><div class="synopsis">class <a href="ASG/Visitor.html" >Visitor</a></div> <div class="xref"><a href="../../XRef/xref1.html#Synopsis.ASG.Visitor" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line540" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Visitor for ASG nodes</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="ccmp">ccmp</a>(<span class="variable">a</span>, <span class="variable">b</span>)  </div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis.ASG.ccmp" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/ASG.py.html#line25" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Compares classes of two objects</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:50 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
